net.minecraft.client.gui

## Interface GuiListExtended.IGuiListEntry

- All Known Subinterfaces:
    GuiConfigEntries.IConfigEntry<T>, GuiEditArrayEntries.IArrayEntry, GuiSelectStringEntries.IGuiSelectStringListEntry
  All Known Implementing Classes:
    ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry, ForgeGuiFactory.ForgeConfigGui.ChunkLoaderEntry, ForgeGuiFactory.ForgeConfigGui.GeneralEntry, ForgeGuiFactory.ForgeConfigGui.ModIDEntry, ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry, GuiConfigEntries.ArrayEntry, GuiConfigEntries.BooleanEntry, GuiConfigEntries.ButtonEntry, GuiConfigEntries.CategoryEntry, GuiConfigEntries.ChatColorEntry, GuiConfigEntries.CycleValueEntry, GuiConfigEntries.DoubleEntry, GuiConfigEntries.IntegerEntry, GuiConfigEntries.ListEntryBase, GuiConfigEntries.SelectValueEntry, GuiConfigEntries.StringEntry, GuiEditArrayEntries.BaseEntry, GuiEditArrayEntries.BooleanEntry, GuiEditArrayEntries.DoubleEntry, GuiEditArrayEntries.IntegerEntry, GuiEditArrayEntries.StringEntry, GuiKeyBindingList.CategoryEntry, GuiKeyBindingList.KeyEntry, GuiOptionsRowList.Row, GuiSelectStringEntries.ListEntry, ResourcePackListEntry, ResourcePackListEntryDefault, ResourcePackListEntryFound, ServerListEntryLanDetected, ServerListEntryLanScan, ServerListEntryNormal
  Enclosing class:
    GuiListExtended

      public static interface GuiListExtended.IGuiListEntry

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawEntry(int var1, int var2, int var3, int var4, int var5, Tessellator var6, int var7, int var8, boolean var9)`
    `boolean` | `mousePressed(int var1, int var2, int var3, int var4, int var5, int var6)`
    `void` | `mouseReleased(int var1, int var2, int var3, int var4, int var5, int var6)`

- - ### Method Detail

    - #### drawEntry

          void drawEntry(int var1,
                       int var2,
                       int var3,
                       int var4,
                       int var5,
                       Tessellator var6,
                       int var7,
                       int var8,
                       boolean var9)

    - #### mousePressed

          boolean mousePressed(int var1,
                             int var2,
                             int var3,
                             int var4,
                             int var5,
                             int var6)

    - #### mouseReleased

          void mouseReleased(int var1,
                           int var2,
                           int var3,
                           int var4,
                           int var5,
                           int var6)